

Remove the now-unneeded page.list field.


---

 25-akpm/include/linux/mm.h |    1 -
 25-akpm/mm/page_alloc.c    |    2 --
 2 files changed, 3 deletions(-)

diff -puN include/linux/mm.h~remove-page-list include/linux/mm.h
--- 25/include/linux/mm.h~remove-page-list	2004-03-17 02:28:35.964413392 -0800
+++ 25-akpm/include/linux/mm.h	2004-03-17 02:28:35.968412784 -0800
@@ -177,7 +177,6 @@ struct page {
 	page_flags_t flags;		/* atomic flags, some possibly
 					   updated asynchronously */
 	atomic_t count;			/* Usage count, see below. */
-	struct list_head list;		/* ->mapping has some page lists. */
 	struct address_space *mapping;	/* The inode (or ...) we belong to. */
 	pgoff_t index;			/* Our offset within mapping. */
 	struct list_head lru;		/* Pageout list, eg. active_list;
diff -puN mm/page_alloc.c~remove-page-list mm/page_alloc.c
--- 25/mm/page_alloc.c~remove-page-list	2004-03-17 02:28:35.965413240 -0800
+++ 25-akpm/mm/page_alloc.c	2004-03-17 02:28:35.970412480 -0800
@@ -683,8 +683,6 @@ nopage:
 	return NULL;
 got_pg:
 	kernel_map_pages(page, 1 << order, 1);
-	INIT_LIST_HEAD(&page->list);
-	INIT_LIST_HEAD(&page->lru);
 	return page;
 }
 

_
